/**
 * PersonNamePartChangeQualifier2.java
 *
 * File generated from the medication2::PersonNamePartChangeQualifier2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration PersonNamePartChangeQualifier2.
 *
 * 
 */

@XmlType(name = "PersonNamePartChangeQualifier")
@XmlEnum
@XmlRootElement(name = "PersonNamePartChangeQualifier2")
public enum PersonNamePartChangeQualifier2 {
	@XmlEnumValue("AD")
	AD2("AD"),
	@XmlEnumValue("BR")
	BR("BR"),
	@XmlEnumValue("SP")
	SP("SP");
	
	private final String value;

    PersonNamePartChangeQualifier2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static PersonNamePartChangeQualifier2 fromValue(String v) {
        for (PersonNamePartChangeQualifier2 c: PersonNamePartChangeQualifier2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
